# Set Options

Sets an account's flags, inflation destination, signers, and home domain.

See the [`Set Options` errors](/api/errors/result-codes/operation-specific/set-options.md).

&#x20;\- ATTRIBUTE -&#x20;

* signer\_key `string`

  The public key of the new signer.
* signer\_weight `number`

  The weight of the new signer. Can range from `1` to `255`.
* master\_key\_weight `number`

  The weight of the master key. Can range from `1` to `255`.
* low\_threshold `number`

  The sum weight for the low threshold.
* med\_threshold `number`

  The sum weight for the medium threshold.
* high\_threshold `number`

  The sum weight for the high threshold.
* home\_domain `string`

  The home domain used for stellar.toml file discovery.
* set\_flags `array`

  The array of numeric values of flags that has been set in this operation. Options include `1` for `AUTH_REQUIRED_FLAG`, `2` for `AUTH_REVOCABLE_FLAG`, and `4` for `AUTH_IMMUTABLE_FLAG`.
* set\_flags\_s `array`

  The array of string values of flags that has been set in this operation. Options include `AUTH_REQUIRED_FLAG`, `AUTH_REVOCABLE_FLAG`, and `AUTH_IMMUTABLE_FLAG`.
* clear\_flags `array`

  The array of numeric values of flags that has been cleared in this operation. Options include `1` for `AUTH_REQUIRED_FLAG`, `2` for `AUTH_REVOCABLE_FLAG`, and `4` for `AUTH_IMMUTABLE_FLAG`.
* clear\_flags\_s `array`

  The array of string values of flags that has been cleared in this operation. Options include `AUTH_REQUIRED_FLAG`, `AUTH_REVOCABLE_FLAG`, and `AUTH_IMMUTABLE_FLAG`.

```bash
{
  "_links": {
    "self": {
      "href": "https://expansion-testnet.bantu.network/operations/102125410241826819"
    },
    "transaction": {
      "href": "https://expansion-testnet.bantu.network/transactions/e020277cf755a1c29234d34f123f546a2c4805d7b4ca9303e253667b0ff4d846"
    },
    "effects": {
      "href": "https://expansion-testnet.bantu.network/operations/102125410241826819/effects"
    },
    "succeeds": {
      "href": "https://expansion-testnet.bantu.network/effects?order=desc\u0026cursor=102125410241826819"
    },
    "precedes": {
      "href": "https://expansion-testnet.bantu.network/effects?order=asc\u0026cursor=102125410241826819"
    }
  },
  "id": "102125410241826819",
  "paging_token": "102125410241826819",
  "transaction_successful": true,
  "source_account": "GABMKJM6I25XI4K7U6XWMULOUQIQ27BCTMLS6BYYSOWKTBUXVRJSXHYQ",
  "type": "set_options",
  "type_i": 5,
  "created_at": "2019-05-08T21:20:34Z",
  "transaction_hash": "e020277cf755a1c29234d34f123f546a2c4805d7b4ca9303e253667b0ff4d846",
  "home_domain": "www.stellar.org"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.docs.bantufoundation.org/api/resources/operations/object/set-options.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
